데이터베이스 버전 정책

이 페이지에서는 Cloud SQL의 데이터베이스 버전 지원 정책을 설명합니다.

소개

사용자는 Cloud SQL에서 지원되는 MySQL 또는 PostgreSQL 버전을 선택할 수 있습니다. Cloud SQL이 현재 지원하는 버전은 다음과 같습니다.

  • MySQL 5.5, 5.6, 5.7
  • PostgreSQL 9.6

Cloud SQL은 패치 및 부 버전 업데이트를 통해 MySQL 및 PostgreSQL 인스턴스를 자동으로 최신 상태로 유지합니다.

Cloud SQL에서 지원하는 데이터베이스 엔진(현재 MySQL 및 PostgreSQL)은 다양한 버전을 지원합니다. 버전에 따라 기능과 문제가 달라질 수 있습니다. Cloud SQL은 업그레이드가 사용자에게 영향을 준다는 점을 인지하고 있으며 Google은 최신 기능과 중요한 패치를 제공하기 위해 최선을 다하고 있습니다.

주 버전 및 부 버전

MySQL의 경우 버전 번호의 처음 두 숫자가 주 버전 번호입니다. 예를 들어 버전 5.7.13의 경우 Cloud SQL은 주 버전으로 5.7을 사용하고 부 버전으로 13을 사용합니다.

PostgreSQL의 경우 버전 번호의 처음 두 숫자가 주 버전 번호입니다. 예를 들어 버전 9.6.1의 경우 Cloud SQL은 주 버전으로 9.6을 사용하고 부 버전으로 1을 사용합니다.

주 버전 지원

모든 주요 버전은 최소 3년 동안 지원됩니다.

부 버전 지원

Cloud SQL은 데이터베이스 인스턴스의 안정성 및 보안을 보장하기 위해 주기적으로 유지관리 작업을 수행합니다. 유지관리 작업에는 각 데이터베이스 엔진의 부 버전 업데이트도 포함됩니다. Cloud SQL은 각 데이터베이스 엔진에 대한 업데이트 대상 부 버전을 선정하며, 선정된 부버전은 언제든지 업그레이드가 가능합니다.

대상 부 버전이 Cloud SQL 인스턴스의 부 버전과 다르면 Cloud SQL은 다음 유지관리 주기 동안 해당 버전을 업그레이드합니다. 인스턴스의 유지관리 기간을 설정하여 유지관리가 다시 시작될 날짜와 시간을 정할 수 있습니다.

주 버전 지원 중단 계획

Cloud SQL이 특정 주 버전의 지원을 중단하는 경우에는 최소 12개월 전에 고객에게 지원 중단을 알리는 알림을 전송합니다. 또한 Cloud SQL은 필요한 경우 업그레이드로 인한 혼란을 최소화할 도구를 제공합니다. 12개월이 경과한 후에도 새로운 주 버전으로 이동되지 않은 모든 인스턴스는 자동으로 업그레이드됩니다.

이 페이지가 도움이 되었나요? 평가를 부탁드립니다.

다음에 대한 의견 보내기...

Cloud SQL 문서